FSSYNC-DEBUG_VGCDEL(8)

NAME
fssync-debug_vgcdel - Delete an entry from the VG cache (FSYNC_VG_UPDATE opcode)

SYNOPSIS
fssync-debug vgcdel
    -partition <exact partition name>
    -parent <volume ID>
    -child <volume ID>
    [-reason <sync protocol reason code>]
    [-programtype <program type code>]
    [-help]

fssync-debug vgcd
    -part <exact partition name>
    -pare <volume ID>
    -c <volume ID>
    [-r <sync protocol reason code>]
    [-pr <program type code>]
    [-h]

DESCRIPTION
The fssync-debug vgcdel command deletes an entry from the volume group cache (VGC).

OPTIONS

-partition <exact partition name>
    Specifies the exact partition name (e.g. /vicepa). Abbreviations are not permitted.

-parent <volume ID>
    Specifies the numeric volume ID for the parent volume of the VGC entry.

-child <volume ID>
    Specifies the numeric volume ID for the child volume in the VGC entry to delete.

-reason <sync protocol reason code>
    Specifies numeric sync protocol reason code. Available codes are listed in OpenAFS source file src/vol/fssync_inline.h. For SYNC_REASON_NONE, use -reason 0.

-programtype <program type code>
    Specifies program type code. Permitted values are fileServer, volumeUtility, salvager, salvageServer, volumeServer and volumeSalvager.

-help
    Prints the online help for this command. All other valid options are ignored.

PRIVILEGE REQUIRED
The issuer must have write access to the file server. Usually, this means that the issuer must be the local superuser "root" on the file server machine.

SEE ALSO
fssync-debug_vgcadd(8), fssync-debug_vgcquery(8), fssync-debug_vgcscan(8), fssync-debug_vgcscanall(8),

COPYRIGHT
Copyright 2010 Sine Nomine Associates

This documentation is covered by the IBM Public License Version 1.0. This man page was written by Andrew Deason and Davor Ocelic for OpenAFS.